Portainer Stack:
```yaml
---
version: "3.8"
services:
  tailscale:
    container_name: tailscale
    image: tailscale/tailscale
    command: tailscaled
    restart: ${RST_MODE-unless-stopped}
    network_mode: host
    privileged: ${PRIVILEGED-true}
    volumes:
      - /dev/net/tun:/dev/net/tun
      - /var/lib:/var/lib
    labels:
      - com.centurylinklabs.watchtower.enable=${AutoUpdate-true}
```

Then to login, from the terminal send:
```
docker exec tailscaled tailscale up
```

Environments:

```
PRIVILEGED=true
AutoUpdate=true
RST_MODE=unless-stopped
```
