Portainer Stack:
```yaml
---
version: "3.8"
services:
  tvheadend:
    image: lscr.io/linuxserver/tvheadend:latest
    container_name: tvheadend
    network_mode: bridge
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Amsterdam
    volumes:
      - /htpc/tvheadend/config:/config
      - /htpc/tvheadend/recordings:/recordings
    ports:
      - 9981:9981
      - 9982:9982
    restart: unless-stopped
```
